Subject: [alpine-devel] New aport email

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 30 Dec 2008 16:11:30 +0000

git patch for new aport "email". Small commandline email client.

Please review.

Br,

Carlo

From b28e1a9d57a1c8fff0a28228dfa2a4c273240881 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 30 Dec 2008 16:05:04 +0000
Subject: [PATCH] extra/email: new aport

---
 extra/email/APKBUILD                  |   30 ++++++++++++++++++++++++++++++
 extra/email/email-3.1.0-ldflags.patch |   11 +++++++++++
 2 files changed, 41 insertions(+), 0 deletions(-)
 create mode 100644 extra/email/APKBUILD
 create mode 100644 extra/email/email-3.1.0-ldflags.patch

diff --git a/extra/email/APKBUILD b/extra/email/APKBUILD
new file mode 100644
index 0000000..4982a3c
--- /dev/null
+++ b/extra/email/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=email
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="A command line SMTP client that's simple"
+url="http://www.cleancode.org/projects/email"
+license="GPL"
+depends="uclibc openssl"
+makedepends="openssl-dev"
+source="http://www.cleancode.org/downloads/email/email-3.1.0.tar.bz2"
+
+subpackages="$pkgname-doc"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	for i in ../../*.patch; do
+                msg "Applying ${i##*/}"
+                patch -p1 -i $i || return 1
+        done
+
+	./configure \
+        --prefix=/usr \
+	--sysconfdir=/etc \
+	--mandir=/usr/share/man
+	make || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="dc347ea65b58f49ee4fe8f578ea13535  email-3.1.0.tar.bz2"
diff --git a/extra/email/email-3.1.0-ldflags.patch b/extra/email/email-3.1.0-ldflags.patch
new file mode 100644
index 0000000..d08896e
--- /dev/null
+++ b/extra/email/email-3.1.0-ldflags.patch
@@ -0,0 +1,11 @@
+--- email-3.1.0.orig/src/Makefile.in	Tue Dec 30 13:16:08 2008
++++ email-3.1.0/src/Makefile.in	Tue Dec 30 13:17:00 2008
+@@ -18,7 +18,7 @@
+ 	remotesmtp.o sig_file.o smtpcommands.o utils.o
+ 
+ all: $(FILES)
+-	$(CC) $(CFLAGS) -o email $(FILES) $(OTHER_FILES) $(LDFLAGS) $(LIBS) $(DLIB)
++	$(CC) $(CFLAGS) -o email $(FILES) $(OTHER_FILES) $(DLIB) $(LDFLAGS) $(LIBS)
+ 
+ clean:
+ 	rm -f *.o *.d email
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Thu, 01 Jan 2009 13:53:06 +0100

> git patch for new aport "email". Small commandline email client.

looks like a useful program

> Please review.

committed.
http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=3c4a7b431a1d8e326cc76e2eca4b4f3f5efb46e4

I noted that documentation was in wrong location and ended up in
email-*.apk rather than email-doc-*.apk

Applied a patch that fixes the problem.

I also added your patch to $source so correct link is created to $srcdir
(and you can use ../*.patch where you will not have lots of testpatches
floating around). It will also make sure that the patch is included if
you would make a sourcepackage (abuild srcpkg)

have a look at the commit here:
http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=eba4f64c1aa1fac8000e97313f22c90c4a135aec

Does it look ok for you?

Do you think you could send the 2 patches for the 'email'
author/maintainer? The first patch is needed to link with --as-needed
LDFLAG (i think) and second will let the configure script select the
standard docdir, which is overrideable with --docdir

Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---